## org.apache.poi.hwpf.sprm
Class SprmIterator

    java.lang.Object
      org.apache.poi.hwpf.sprm.SprmIterator

    @Internal
    public final class SprmIterator

extends java.lang.Object

This class is used to iterate through a list of sprms from a Word 97/2000/XP document.

Version:
  1.0
Author:
  Ryan Ackley

Constructor Summary
`SprmIterator(byte[] grpprl, int offset)`

Method Summary
`boolean` `hasNext()`
`SprmOperation` `next()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SprmIterator

    public SprmIterator(byte[] grpprl,
                        int offset)

Method Detail

### hasNext

    public boolean hasNext()

### next

    public SprmOperation next()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.